{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% block content %}
{% block extra_style_block %}
    {{block.super}}
    <style>
            .btn-payment {
                float: right;
                color: #fff;
            }
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
            .bgc {
                background: rgba(0,0,0,.075);
            }
            .sku {
                cursor: pointer;
            }
            .even {background: rgba(0,0,0,.075);}
            .odd {background: rgba(0,0,0,.075);}
        </style>
    
        <style>
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
    
            .col-cust-add{
              float: left;
              padding-left: 15px;
              float: left;
              padding-left: 15px;
              font-size: 16px;
              font-weight: 600;
              color: #333;
              line-height: 1.45;
            }
            .col-cust-add h2{
              text-transform: capitalize;
              font-size: 24px;
              margin: 0 0 0px 0;
              font-weight: 600;
              line-height: 1.2;
            }
            .col-cust-add.col-business-add{
              padding: 3px 5px;
              word-spacing: 0px;
              background: #dddddd82;
              box-shadow: 0px 0px 5px #f5e1e1;
              float: right;
              border-radius: 4px;
              margin: -43px 15px 0px;;
            }
            .col-cust-add.col-business-add span{
              padding: 5px 8px;
              display: inline-block;
              background-color: #f39c12;
              border-color: #e08e0b;
              border-radius: 4px;
              margin-bottom: 5px;
              color:#fff;
            }
        </style>
    
{% endblock %}
<form class="from-horizontal" method="post" enctype="multipart/form-data">
    {% csrf_token %}
<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Email Sms List {% endblock %}</title>
    </head>
    <span style="margin-top: -15px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
    <h1 style="margin-top: -18px;" class="back-list">Email And Sms Template List</h1>
    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-customer">                
                <p class="creatBtn-wrapper">
                    <button><a href="{% url 'email_or_sms_format' %}">Create</a></button>
                    <!-- <button type="submit" name="export" class="export">Export</button>     -->
                </p>
            </div>
        </div>
        <div class="row">
                <address class="col-cust-add col-business-add">
                    <span style="background-color: #00c0ef;border-color: #00acd6;">
                        Total no of Lists: {{emailobj|length}}
                    </span>
                    
                </address>
            </div>
    </section>

    <section>
        <table class="table table table-bordered">
            <thead>
                    <tr>
                            <th>Subjects Type </th>
                            <th>Send Type</th>
                            <th>Subjects</th>
                            <th>Content</th>
                        </tr>
            </thead>
            <tbody>
            {% if emailobj|length > 0 %}
                    {% for obj in emailobj %}
                        <tr>
                            <td>
                            {{obj.action.alerts.alerts_type}}
                            </td>
                            <td>{{obj.action.send_type|default:'---'}}</td>
                            <td>{{obj.email_subject|default:'---'}}</td>
                            <td>
                                    {{obj.content|default:'---'}}
                            </td>
                            
                        </tr>
                    {% endfor %}
            {% else %}
                    <tr>
                        <td style="text-align: center;" colspan="4">No data found.</td>
                    </tr>
            {% endif %}
                </tbody>
                
        </table>
        <div id="modal-danger" class="modal fade modal-alert modal-danger">
                <div class="modal-dialog modal-dialog-new">
                    <div class="modal-content modal-content-new">
                        <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-title modal-title-new">Delete</div>
                        <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                        <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                            <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                            <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                        </div>
                    </div>
                </div>
            </div>
    </section>
</form>
{% endblock %}

{% block extra_script_block %}
    {{block.super}}
    <script>
        $(document).ready(function(){
            $('a[rel="group"]').on('click', function(e){
                var url = $(this).data("goto-page");
                $("#confirm-id").attr("href", url);
            });
        });
    </script>
{% endblock %}
